import express from 'express';
import { authenticateToken } from '../middlewares/checkAuth';
import { create, getAll, getProduct } from '../controllers/ProductController';

const productRouter = express.Router();

productRouter.get('/', getAll);
productRouter.post('/', authenticateToken, create)
productRouter.get('/:id', getProduct);


export default productRouter;